ClosedConnectionException (Java SE 23 & JDK 23)
Description: declaration: module: jdk.jdi, package: com.sun.jdi.connect.spi, class: ClosedConnectionException
Keywords: com.sun.jdi.connect.spi.ClosedConnectionException class

# Class ClosedConnectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.sun.jdi.connect.spi.ClosedConnectionException

All Implemented Interfaces:
  `Serializable`

public class ClosedConnectionException extends IOException
This exception may be thrown as a result of an asynchronous close of a `Connection` while an I/O operation is in progress.

When a thread is blocked in `readPacket` waiting for packet from a target VM the `Connection` may be closed asynchronous by another thread invoking the `close` method. When this arises the thread in readPacket will throw this exception. Similarly when a thread is blocked in `Connection.writePacket(byte[])` the Connection may be closed. When this occurs the thread in writePacket will throw this exception.

Since:
  1.5
See Also:
  - `Connection.readPacket()`
  - `Connection.writePacket(byte[])`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClosedConnectionException()`
  Constructs a `ClosedConnectionException` with no detail message.
  `ClosedConnectionException(String message)`
  Constructs a `ClosedConnectionException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClosedConnectionException

    public ClosedConnectionException()
    Constructs a `ClosedConnectionException` with no detail message.

  - ### ClosedConnectionException

    public ClosedConnectionException(String message)
    Constructs a `ClosedConnectionException` with the specified detail message.
    Parameters:
      `message` - the detail message pertaining to this exception.